Discovering a list of companies

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Search API allows you to discover companies in the Veridion database, by passing in a set of Search Filters.

Run in Postman


Required fields

Ensure that your payload contains a filters field, which is mandatory.

This field should include exactly one wrapper operator (and/or) followed by one or more search filters, as detailed below.

Filter structure and syntax

Within the filters field, every filter must include the base elements listed below:

FieldDefinitionExample
attribute

The specific company-related property or attribute to be filtered, such as company name, location, etc.

See the full filter list.

company_naics_code
relation

The type of comparison or logical operation applied between the attribute and value (e.g. equals, in, between, greater_than etc.).

You can find the full list of available relations under the Search filter relations section.

equals
valueThe reference data or criteria that the attribute should meet, based on the specified relation.541512
📖

Search queries & filters

For more information on structure and required fields, please consult the How to build a Search Query and Search filters sections.


Paginated requests

Pagination can be controlled via the page_size and pagination_token query parameters. Pagination tokens can be retrieved from the response pagination object, present when the response is successful.

Responses

Paginated endpoints will return the following response fields.

FieldTypeDescription
paginationobjectHolds next and previous tokens for navigation between pages.
countintegerTotal number of results for the current request.
resultobject arrayThe list of results for the requested page.

The pagination object contains the below fields.

FieldTypeDescription
nextstring (optional)Should be used to retrieve the next page of results.
previousstring (optional)Should be used to retrieve the previous page of results.
📘

null pagination token

Note that next or previous pagination tokens may be null, depending on the presence of remaining results to retrieve. For instance, when retrieving the first page, the previous token will be null since there are no previous pages.

How to issue paginated requests

Each paginated endpoint accepts the following query parameters:

ParameterTypeDescription
page_sizeinteger (optional)Number of results to be returned per page. Default value: 10. Maximum value: 200.
pagination_tokenstring (optional)Either next or previous token value, depending on whether you want to retrieve the previous or the next page. This value should be treated as opaque. Defaults to undefined, which returns results from the beginning of the list.
📘

Pagination sessions

Please be aware that once you start a pagination session (i.e., the navigation between pages is ongoing), the API will generate an error if you try to modify any of the request parameters or the request body itself.

If you need to reset your request, simply remove the pagination_token parameter.


Successful responses

When the request is successful, a standard 200 OK HTTP status will be sent along with the expected JSON.

The response will include the following fields:

  • pagination - object that holds the next and previous tokens for navigation between pages.
  • count - the total number of results for the current request.
  • result - the list of results for the requested page.
📖

Response datapoints

For a comprehensive list of all data points returned and additional information, please refer to the Response Fields and Types page.

Error responses

If the request is unsuccessful, the API will return one of the below HTTP status responses:

  • 400 Bad Request, if the input lacks the required fields or structure detailed above.
  • other standard HTTP error responses, detailed in the Response codes section.

Any error response follows a specific structure. Please see the Error response format section for more details.



Query Params
int32
Defaults to 10

Number of results to be returned per page. Default value: 10, Maximum value: 200

string

Opaque value to be used to paginate between results. Can be retrieved from the response 'pagination' object. For more information on how pagination works, please check the Overview section.

Body Params
json
required

Filters object.

Headers
string
required

Your individual OAuth Bearer token (e.g. Authorization: Bearer <your_access_token>).

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json